SoVRMLVertexLine(3)

NAME
SoVRMLVertexLine - The SoVRMLVertexLine class is a superclass for line based VRML geometry.

SYNOPSIS

#include <Inventor/VRMLnodes/SovRMLVertexLine.h>

Inherits SoVRMLGeometry.

Inherited by SoVRMLIndexedLine.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void doAction (SoAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void getBoundingBox (SoGetBoundingBoxAction *action)
virtual void callback (SoCallbackAction *action)
virtual void pick (SoPickAction *action)
virtual void notify (SoNotList *list)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Public Attributes
SoSFNode coord
SoSFNode color
SoSFBool colorPerVertex

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
SoVRMLVertexLine (void)
virtual ~SoVRMLVertexLine ()
virtual SbBool shouldGLRender (SoGLRenderAction *action)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVRMLVertexLine class is a superclass for line based VRML geometry.

Constructor & Destructor Documentation

  SoVRMLVertexLine::SoVRMLVertexLine (void) [protected]
Constructor.

  SoVRMLVertexLine::~SoVRMLVertexLine () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoVRMLVertexLine::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVRMLVertexLine::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoVRMLGeometry.

Reimplemented in SoVRMLIndexedLine, and SoVRMLIndexedLineSet.

  const SoFieldData ** SoVRMLVertexLine::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVRMLVertexLine::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoVRMLGeometry.

Reimplemented in SoVRMLIndexedLine, and SoVRMLIndexedLineSet.

  void SoVRMLVertexLine::initClass (void) [static]

  void SoVRMLVertexLine::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoVRMLVertexLine::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoShape.

Reimplemented in SoVRMLIndexedLineSet.

  void SoVRMLVertexLine::getBoundingBox (SoGetBoundingBoxAction * action) [virtual]
Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculate their bounding box also override this method to change the relevant state variables.

Reimplemented from SoShape.

Reimplemented in SoVRMLIndexedLineSet.

  void SoVRMLVertexLine::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoShape.

  void SoVRMLVertexLine::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoNode.

  void SoVRMLVertexLine::notify (SoNotList * l) [virtual]
Notifies all auditors for this instance when changes are made.

Reimplemented from SoVRMLGeometry.

Reimplemented in SoVRMLIndexedLine, and SoVRMLIndexedLineSet.

  SbBool SoVRMLVertexLine::shouldGLRender (SoGLRenderAction * action) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Reimplemented from SoVRMLGeometry.

Member Data Documentation

  SoSFNode SoVRMLVertexLine::coord
Should contain an SoVRMLCoordinate node.

  SoSFNode SoVRMLVertexLine::color
Can contain an SoVRMLColor node if multiple colors are wanted.

  SoSFBool SoVRMLVertexLine::colorPerVertex
When TRUE, colors will be bound per vertex, otherwise per line. Default value is TRUE.

Author

Generated automatically by Doxygen for Coin from the source code.